Subject: bug#41178: can't log into X anymore ( polkit )

From: Stefan Huchler <[email-masked]>
Date: Sun, 10 May 2020 18:37:11 +0200

shortly after installing X and making the first few changes setting the
root password and boom I can't login into X anymore.

My configuration:
/----------------------------------------------
(use-modules (gnu) (gnu system nss))
(use-service-modules desktop ssh)
(use-package-modules bootloaders certs ratpoison emacs-xyz
		     suckless wm xorg emacs web-browsers)

(operating-system
 (host-name "XXX")
 (timezone "Europe/Berlin")
 (locale "en_US.utf8")

 (keyboard-layout (keyboard-layout "us" "dvorak"))
 
 (bootloader (bootloader-configuration
	      (bootloader grub-bootloader)
	      (target "/dev/sda")))

 (file-systems (append
		(list (file-system
		       (device (file-system-label "guix-root"))
		       (mount-point "/")
		       (type "ext4"))
		      (file-system
		       (device (file-system-label "home"))
		       (mount-point "/home")
		       (type "ext4")))
		%base-file-systems))

 (users (cons (user-account
	       (name "XXX")
	       (comment "Me")
	       (group "users")
	       (supplementary-groups '("wheel" "netdev"
				       "audio" "video")))
	      %base-user-accounts))

 (packages (append (list
		    ;; window managers
		    ratpoison i3-wm i3status dmenu
		    ;; emacs-exwm
		    xterm
		    nss-certs
		    vimb
		    emacs)
		   %base-packages))

 (services (cons* (service openssh-service-type
		   (openssh-configuration
		    (permit-root-login #t)))
		  ;;(service xfce-desktop-service-type)
		  %desktop-services))

 (name-service-switch %mdns-host-lookup-nss))

/----------------------------------------------

Authentication needed [...] intel-backlight-helper and a password prompt
that I can't hit on, and somethnig with polkit.

I think it propable had to do with me setting a root password. I unset
it with password -dl root and only passwd -d root, but both didn't fix
it.